- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
tbb::flow::interface7::buffer_node< T, A >::buffer_operation Class Reference
Inheritance diagram for tbb::flow::interface7::buffer_node< T, A >::buffer_operation:

## Public Member Functions
| buffer_operation (const T &e, op_type t)

## Public Attributes
char | type
task * | ltask
union {
input_type * elem
successor_type * r
predecessor_type * p
size_t cnt_val
successor_vector_type * svec
predecessor_vector_type * pvec
}; |
T * | elem

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2014 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.